/*
    This file is part of kenvy24 KDE multimedia utility
    Copyright (c) 2007  Valentin RUSU kenvy24@rusu.info

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License or (at
    your option) version 3 or, at the discretion of KDE e.V. (which shall
    act as a proxy as in section 14 of the GPLv3), any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
#ifndef _SurroundPart_h_
#define _SurroundPart_h_

#include <kenvy24part.h>

class Ui_SurroundPart;
class QWidget;
class EnvyCard;
class QTimer;
class MixerPartChannel;

class SurroundPart : public KEnvy24Part< Ui_SurroundPart > {
    Q_OBJECT

    public:
        SurroundPart( QWidget* parentWidget, QObject* parent, const QVariantList& );
        ~SurroundPart();

    protected:
        virtual void saveConfig( KConfigGroup* configGroup );
        virtual void loadConfig( KConfigGroup* configGroup );

    protected:
        virtual bool saveFile ();
        virtual bool openFile ();
        virtual void setActiveCard( EnvyCard* );
};

#endif // _SurroundPart_h_

// kate: space-indent on; indent-width 4; replace-tabs on;
